Name:           xtl
Version:        0.7.7
Release:        %mkrel 2
License:        BSD
Summary:        QuantStack tools library
Group:          Development/C++
Url:            https://github.com/QuantStack/xtl
Source0:        https://github.com/QuantStack/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         xtl-cmake-4.0.patch
# Header-only library.
BuildArch:      noarch

BuildRequires:  binutils
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(gtest)
BuildRequires:  cmake(nlohmann_json)
BuildRequires:  python3dist(breathe)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  cmake(doctest)

%description
Basic tools (containers, algorithms) used by other QuantStack packages.


%package devel
Summary:        %{summary}
Group:          Development/C++
Provides:       xtl-static = %{version}-%{release}
Requires:       cmake(nlohmann_json)
Requires:       xproperty-devel

%description devel
Development files for %{name} library.

%package doc
Summary:        Documentation files for %{name}
Group:          Documentation
BuildArch:      noarch

%description doc
Documentation files for %{name} library.

%prep
%autosetup -p1

%build
%cmake -DBUILD_TESTS=ON
%cmake_build

pushd docs
make html SPHINXBUILD=sphinx-build-3
rm build/html/.buildinfo
popd


%install
%cmake_install

%check
pushd build
make xtest
popd

%files devel
%doc README.md
%license LICENSE
%{_includedir}/xtl/
%{_datadir}/cmake/xtl/
%{_datadir}/pkgconfig/xtl.pc

%files doc
%doc docs/build/html



%changelog
* Mon Jul 14 2025 daviddavid <daviddavid> 0.7.7-2.mga10
+ Revision: 2255291
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Thu Oct 24 2024 daviddavid <daviddavid> 0.7.7-1.mga10
+ Revision: 2111014
- new version: 0.7.7

* Sat Apr 16 2022 joequant <joequant> 0.7.4-1.mga9
+ Revision: 1850690
- update to 0.7.4
- update to 0.7.4
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Dec 15 2020 joequant <joequant> 0.6.23-1.mga8
+ Revision: 1657591
- update to 0.6.23

* Tue Jul 28 2020 joequant <joequant> 0.6.15-1.mga8
+ Revision: 1609334
- update to 0.6.15 / add requires

* Mon Jun 08 2020 joequant <joequant> 0.6.13-2.mga8
+ Revision: 1590995
- fix to noarch since this is header only

* Mon Jun 08 2020 joequant <joequant> 0.6.13-1.mga8
+ Revision: 1590983
- update to 0.6.13

* Sat Apr 25 2020 joequant <joequant> 0.6.7-3.mga8
+ Revision: 1571790
- move out docs

* Wed Apr 22 2020 joequant <joequant> 0.6.7-2.mga8
+ Revision: 1571124
- remove cmake-filesystem
- add group / rename devel
- imported package xtl

